libnvme(2)

NAME
enum nvme_ae_info_error - Asynchronous Event Information - Error Status

SYNOPSIS
enum nvme_ae_info_error {
NVME_AER_ERROR_INVALID_DB_REG ,
NVME_AER_ERROR_INVALID_DB_VAL ,
NVME_AER_ERROR_DIAG_FAILURE ,
NVME_AER_ERROR_PERSISTENT_INTERNAL_ERROR ,
NVME_AER_ERROR_TRANSIENT_INTERNAL_ERROR ,
NVME_AER_ERROR_FW_IMAGE_LOAD_ERROR

};

Constants

NVME_AER_ERROR_INVALID_DB_REG
    Write to Invalid Doorbell Register

NVME_AER_ERROR_INVALID_DB_VAL
    Invalid Doorbell Write Value

NVME_AER_ERROR_DIAG_FAILURE
    Diagnostic Failure

NVME_AER_ERROR_PERSISTENT_INTERNAL_ERROR
    Persistent Internal Error

NVME_AER_ERROR_TRANSIENT_INTERNAL_ERROR
    Transient Internal Error

NVME_AER_ERROR_FW_IMAGE_LOAD_ERROR
    Firmware Image Load Error